FLANG

Public Types | Public Member Functions | Static Public Attributes | List of all members
Fortran::evaluate::SomeKind< TypeCategory::Derived > Class Reference

## Public Types
using | Scalar = StructureConstructor

## Public Member Functions
constexpr | SomeKind (const semantics::DerivedTypeSpec &dts)
constexpr | SomeKind (const DynamicType &dt)
bool | IsUnlimitedPolymorphic () const
constexpr DynamicType | GetType () const
const semantics::DerivedTypeSpec & | derivedTypeSpec () const
bool | operator== (const SomeKind &) const
std::string | AsFortran () const

## Static Public Attributes
static constexpr TypeCategory | category {TypeCategory::Derived}

The documentation for this class was generated from the following files:

- include/flang/Evaluate/type.h
- lib/Evaluate/formatting.cpp
- lib/Evaluate/type.cpp